## org.apache.poi.hwpf.usermodel
Class Shape

    java.lang.Object
      org.apache.poi.hwpf.usermodel.Shape

Deprecated. Use `OfficeDrawing` instead

    @Deprecated
    public final class Shape

extends java.lang.Object

Constructor Summary
`Shape(GenericPropertyNode nodo)` Deprecated.

Method Summary
`int` `getBottom()` Deprecated.
`int` `getHeight()` Deprecated.
`int` `getId()` Deprecated.
`int` `getLeft()` Deprecated.
`int` `getRight()` Deprecated.
`int` `getTop()` Deprecated.
`int` `getWidth()` Deprecated.
`boolean` `isWithinDocument()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Shape

    public Shape(GenericPropertyNode nodo)

  Deprecated.

Method Detail

### getId

    public int getId()

  Deprecated.

### getLeft

    public int getLeft()

  Deprecated.

### getRight

    public int getRight()

  Deprecated.

### getTop

    public int getTop()

  Deprecated.

### getBottom

    public int getBottom()

  Deprecated.

### getWidth

    public int getWidth()

  Deprecated.

### getHeight

    public int getHeight()

  Deprecated.

### isWithinDocument

    public boolean isWithinDocument()

  Deprecated.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.